This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459502 - oVirt can not upgrade JDBC driver due to a postgres-jdbc driver regression issue
oVirt can not upgrade JDBC driver due to a postgres-jdbc driver regression issue
Status: ASSIGNED
Product: ovirt-engine
Classification: oVirt
Component: Database.Core (Show other bugs)
4.2.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.2.0
: ---
Assigned To: Eli Mesika
Lucie Leistnerova
:
Depends On: 1460723 1459499
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 06:11 EDT by Eli Mesika
Modified: 2017-09-28 04:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Eli Mesika 2017-06-07 06:11:23 EDT
Description of problem:

We want to upgrade JDBC driver to latest driver 42.1.1 
However a regression issue cause our stored procedures to throw NullPointerExceptions when the driver is trying to get the meta-data on the result set returned from the call 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

See full details in blocking BZ
Comment 1 Martin Perina 2017-06-07 06:25:20 EDT
(In reply to Eli Mesika from comment #0)
> Description of problem:
> 
> We want to upgrade JDBC driver to latest driver 42.1.1 
> However a regression issue cause our stored procedures to throw
> NullPointerExceptions when the driver is trying to get the meta-data on the
> result set returned from the call 

Last working version of postgresql-jdbc is 9.2, everything newer breaks engine until fixed on upstream
Comment 2 Martin Perina 2017-06-07 08:59:09 EDT
Targeting to 4.2, but at the moment we just need to wait until it's fixed at least on upstream
Comment 3 Eli Mesika 2017-06-07 17:08:15 EDT
I have got the suggest fix on postgres JDBC driver and tested it , it solved the sample program I used to demonstrate the issue however engine still failed with :


017-06-07 23:13:15,706+03 ERROR [org.ovirt.engine.core.bll.network.macpool.MacPoolPerCluster] (ServerService Thread Pool -- 52) [] Error initializing: PreparedStatementCallback; bad SQL grammar [select * from  getallmacpoolrangesbymacpoolid()]; nested exception is org.postgresql.util.PSQLException: ERROR: function getallmacpoolrangesbymacpoolid() does not exist
  Hint: No function matches the given name and argument types. You might need to add explicit type casts.
  Position: 16

But the above exception was when using spring 4.2.4.RELEASE
So, I did another try with spring 4.3.8.RELEASE

The application worked and  all DAO tests also passed with no issues.

So , bottom line we should use :

1) postgres 42.1.2
2) spring 4.3.8
Comment 4 Eli Mesika 2017-07-30 04:33:54 EDT
After PG JDBC Driver 42.1.3 was released and another issue[1] we have found in one of our SP code was resolved and merged to master, we can go ahead now and use PG 9.5

Note You need to log in before you can comment on or make changes to this bug.